SystemOrganization addCategory: #ConfigurationOfFileTree!

Object subclass: #ConfigurationOfFileTree
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfFileTree'!

!ConfigurationOfFileTree class methodsFor: 'development support' stamp: 'dkh 4/5/2012 16:22:00'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfFileTree class methodsFor: 'private' stamp: 'dkh 4/5/2012 16:22:00'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfFileTree class methodsFor: 'private' stamp: 'dkh 4/5/2012 16:22:00'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfFileTree class methodsFor: 'private' stamp: 'dkh 7/11/2013 16:43'!
ensureMetacelloBaseConfiguration
  Smalltalk
    at: #'MetacelloBaseConfiguration'
    ifAbsent: [ 
      
      #('http://smalltalkhub.com/mc/dkh/metacello/main' 'http://seaside.gemtalksystems.com/ss/metacello')
        do: [ :url | 
          | repository version |
          
          repository := MCHttpRepository location: url user: '' password: ''.
          repository
            versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.19.mcz'
            do: [ :reader | 
          
              version := reader version.
              version load.
              version workingCopy repositoryGroup addRepository: repository.
              
              ^ self ].
         
 ].
           
     self
        error:
          'Error bootstrapping Metacello: likely network error. Please try again' ].
           ! !

!ConfigurationOfFileTree class methodsFor: 'metacello tool support' stamp: 'dkh 4/5/2012 16:22:00'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfFileTree class methodsFor: 'loading' stamp: 'dkh 4/5/2012 16:22:00'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfFileTree class methodsFor: 'loading' stamp: 'dkh 4/5/2012 16:22:00'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfFileTree class methodsFor: 'loading' stamp: 'dkh 4/5/2012 16:22:00'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfFileTree class methodsFor: 'accessing' stamp: 'dkh 4/5/2012 16:22:00'!
project

	^self new project! !

!ConfigurationOfFileTree class methodsFor: 'development support' stamp: 'dkh 4/5/2012 16:22:00'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfFileTree methodsFor: 'baselines' stamp: 'dkh 9/15/2012 20:27'!
baseline100: spec
    <version: '1.0-baseline'>
    spec
        for: #'common'
        do: [ 
            spec blessing: #'baseline'.
            spec repository: 'http://ss3.gemstone.com/ss/FileTree'.
            spec package: 'MonticelloFileTree-Core'.
            spec group: 'default' with: #('MonticelloFileTree-Core') ].
    spec
        for: #'pharo1.1.x'
        do: [ 
            spec
                package: 'MonticelloFileTree-Core' with: [ spec file: 'MonticelloFileTree-Core.pharo11' ];
                package: 'MonticelloFileTree-FileDirectory-Utilities'
                    with: [ 
                            spec
                                file: 'MonticelloFileTree-FileDirectory-Utilities.pharo11';
                                requires: 'MonticelloFileTree-Core' ].
            spec group: 'default' with: #('MonticelloFileTree-FileDirectory-Utilities') ].
    spec
        for: #'pharo1.2.x'
        do: [ 
            spec
                package: 'MonticelloFileTree-Core' with: [ spec file: 'MonticelloFileTree-Core.pharo11' ];
                package: 'MonticelloFileTree-FileDirectory-Utilities'
                    with: [ 
                            spec
                                file: 'MonticelloFileTree-FileDirectory-Utilities.pharo11';
                                requires: 'MonticelloFileTree-Core' ].
            spec group: 'default' with: #('MonticelloFileTree-FileDirectory-Utilities') ].
    spec
        for: #'pharo1.3.x'
        do: [ 
            spec
                package: 'MonticelloFileTree-Core' with: [ spec file: 'MonticelloFileTree-Core.pharo13' ];
                package: 'MonticelloFileTree-FileDirectory-Utilities'
                    with: [ 
                            spec
                                file: 'MonticelloFileTree-FileDirectory-Utilities.pharo13';
                                requires: 'MonticelloFileTree-Core' ].
            spec group: 'default' with: #('MonticelloFileTree-FileDirectory-Utilities') ].
    spec
        for: #'pharo1.4.x'
        do: [ 
            spec
                package: 'MonticelloFileTree-Core' with: [ spec file: 'MonticelloFileTree-Core.pharo14' ];
                package: 'MonticelloFileTree-FileDirectory-Utilities'
                    with: [ 
                            spec
                                file: 'MonticelloFileTree-FileDirectory-Utilities.pharo14';
                                requires: 'MonticelloFileTree-Core' ].
            spec group: 'default' with: #('MonticelloFileTree-FileDirectory-Utilities') ].
    spec
        for: #'pharo2.x'
        do: [ 
            spec
                package: 'MonticelloFileTree-Core' with: [ spec file: 'MonticelloFileTree-Core.pharo20' ];
                package: 'MonticelloFileTree-FileSystem-Utilities'
                    with: [ 
                            spec
                                file: 'MonticelloFileTree-FileSystem-Utilities.pharo20';
                                requires: 'MonticelloFileTree-Core' ].
            spec group: 'default' with: #('MonticelloFileTree-FileSystem-Utilities') ].
    spec
        for: #'squeak'
        do: [ 
            spec
                package: 'MonticelloFileTree-Core' with: [ spec file: 'MonticelloFileTree-Core.squeak43' ];
                package: 'MonticelloFileTree-FileDirectory-Utilities'
                    with: [ 
                            spec
                                file: 'MonticelloFileTree-FileDirectory-Utilities.squeak43';
                                requires: 'MonticelloFileTree-Core' ].
            spec group: 'default' with: #('MonticelloFileTree-FileDirectory-Utilities') ].
    spec
        for: #'gemstone'
        do: [ 
            spec
                project: 'GsCore'
                    with: [ 
                            spec
                                className: 'ConfigurationOfGsCore';
                                repository: 'http://seaside.gemstone.com/ss/MetacelloRepository' ];
                project: 'Monticello'
                    with: [ 
                            spec
                                className: 'ConfigurationOfGsMonticello';
                                repository: 'http://seaside.gemstone.com/ss/MetacelloRepository' ].
            spec
                package: 'MonticelloFileTree-Core'
                    with: [ 
                            spec
                                file: 'MonticelloFileTree-Core.gemstone24';
                                requires: #('GsCore' 'Monticello') ];
                package: 'MonticelloFileTree-FileDirectory-Utilities'
                    with: [ 
                            spec
                                file: 'MonticelloFileTree-FileDirectory-Utilities.gemstone24';
                                requires: 'MonticelloFileTree-Core' ].
            spec group: 'default' with: #('MonticelloFileTree-FileDirectory-Utilities') ]! !

!ConfigurationOfFileTree methodsFor: 'baselines' stamp: 'dkh 06/15/2013 20:22'!
baseline102: spec
  <version: '1.0.2-baseline'>
  spec
    for: #'common'
    do: [ 
      spec blessing: #'baseline'.
      spec repository: 'http://ss3.gemstone.com/ss/FileTree'.
      spec package: 'MonticelloFileTree-Core'.
      spec group: 'default' with: #('MonticelloFileTree-Core') ].
  spec
    for: #'pharo1.1.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: [ spec file: 'MonticelloFileTree-Core.pharo11' ];
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: [ 
              spec
                file: 'MonticelloFileTree-FileDirectory-Utilities.pharo11';
                requires: 'MonticelloFileTree-Core' ].
      spec
        group: 'default'
        with: #('MonticelloFileTree-FileDirectory-Utilities') ].
  spec
    for: #'pharo1.2.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: [ spec file: 'MonticelloFileTree-Core.pharo11' ];
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: [ 
              spec
                file: 'MonticelloFileTree-FileDirectory-Utilities.pharo11';
                requires: 'MonticelloFileTree-Core' ].
      spec
        group: 'default'
        with: #('MonticelloFileTree-FileDirectory-Utilities') ].
  spec
    for: #'pharo1.3.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: [ spec file: 'MonticelloFileTree-Core.pharo13' ];
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: [ 
              spec
                file: 'MonticelloFileTree-FileDirectory-Utilities.pharo13';
                requires: 'MonticelloFileTree-Core' ].
      spec
        group: 'default'
        with: #('MonticelloFileTree-FileDirectory-Utilities') ].
  spec
    for: #'pharo1.4.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: [ spec file: 'MonticelloFileTree-Core.pharo14' ];
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: [ 
              spec
                file: 'MonticelloFileTree-FileDirectory-Utilities.pharo14';
                requires: 'MonticelloFileTree-Core' ].
      spec
        group: 'default'
        with: #('MonticelloFileTree-FileDirectory-Utilities') ].
  spec
    for: #'pharo2.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: [ spec file: 'MonticelloFileTree-Core.pharo20' ];
        package: 'MonticelloFileTree-FileSystem-Utilities'
          with: [ 
              spec
                file: 'MonticelloFileTree-FileSystem-Utilities.pharo20';
                requires: 'MonticelloFileTree-Core' ];
        package: 'MonticelloFileTree-Git'
          with: [ 
              spec
                file: 'MonticelloFileTree-Git.pharo20';
                requires: #('MonticelloFileTree-Core') ];
        yourself.
      spec group: 'default' with: #('MonticelloFileTree-FileSystem-Utilities') ].
  spec
    for: #'pharo3.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: [ spec file: 'MonticelloFileTree-Core.pharo30' ];
        package: 'MonticelloFileTree-FileSystem-Utilities'
          with: [ 
              spec
                file: 'MonticelloFileTree-FileSystem-Utilities.pharo30';
                requires: 'MonticelloFileTree-Core' ];
        package: 'MonticelloFileTree-Git'
          with: [ 
              spec
                file: 'MonticelloFileTree-Git.pharo20';
                requires: #('MonticelloFileTree-Core') ];
        yourself.
      spec group: 'default' with: #('MonticelloFileTree-FileSystem-Utilities') ].
  spec
    for: #'squeak'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: [ spec file: 'MonticelloFileTree-Core.squeak43' ];
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: [ 
              spec
                file: 'MonticelloFileTree-FileDirectory-Utilities.squeak43';
                requires: 'MonticelloFileTree-Core' ].
      spec
        group: 'default'
        with: #('MonticelloFileTree-FileDirectory-Utilities') ].
  spec
    for: #'gemstone'
    do: [ 
      spec
        project: 'GsCore'
          with: [ 
              spec
                className: 'ConfigurationOfGsCore';
                repository: 'http://seaside.gemstone.com/ss/MetacelloRepository' ];
        project: 'Monticello'
          with: [ 
              spec
                className: 'ConfigurationOfGsMonticello';
                repository: 'http://seaside.gemstone.com/ss/MetacelloRepository' ].
      spec
        package: 'MonticelloFileTree-Core'
          with: [ 
              spec
                file: 'MonticelloFileTree-Core.gemstone24';
                requires: #('GsCore' 'Monticello') ];
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: [ 
              spec
                file: 'MonticelloFileTree-FileDirectory-Utilities.gemstone24';
                requires: 'MonticelloFileTree-Core' ].
      spec
        group: 'default'
        with: #('MonticelloFileTree-FileDirectory-Utilities') ]! !

!ConfigurationOfFileTree methodsFor: 'baselines' stamp: 'dkh 06/28/2013 16:25'!
baseline103: spec
  <version: '1.0.3-baseline'>
  spec
    for: #'common'
    do: [ 
      spec blessing: #'baseline'.
      spec repository: 'http://ss3.gemtalksystems.com/ss/FileTree'.
      spec package: 'MonticelloFileTree-Core'.
      spec group: 'default' with: #('MonticelloFileTree-Core') ].
  spec
    for: #'pharo1.1.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: [ spec file: 'MonticelloFileTree-Core.pharo11' ];
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: [ 
              spec
                file: 'MonticelloFileTree-FileDirectory-Utilities.pharo11';
                requires: 'MonticelloFileTree-Core' ].
      spec
        group: 'default'
        with: #('MonticelloFileTree-FileDirectory-Utilities') ].
  spec
    for: #'pharo1.2.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: [ spec file: 'MonticelloFileTree-Core.pharo11' ];
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: [ 
              spec
                file: 'MonticelloFileTree-FileDirectory-Utilities.pharo11';
                requires: 'MonticelloFileTree-Core' ].
      spec
        group: 'default'
        with: #('MonticelloFileTree-FileDirectory-Utilities') ].
  spec
    for: #'pharo1.3.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: [ spec file: 'MonticelloFileTree-Core.pharo13' ];
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: [ 
              spec
                file: 'MonticelloFileTree-FileDirectory-Utilities.pharo13';
                requires: 'MonticelloFileTree-Core' ].
      spec
        group: 'default'
        with: #('MonticelloFileTree-FileDirectory-Utilities') ].
  spec
    for: #'pharo1.4.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: [ spec file: 'MonticelloFileTree-Core.pharo14' ];
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: [ 
              spec
                file: 'MonticelloFileTree-FileDirectory-Utilities.pharo14';
                requires: 'MonticelloFileTree-Core' ].
      spec
        group: 'default'
        with: #('MonticelloFileTree-FileDirectory-Utilities') ].
  spec
    for: #'pharo2.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: [ spec file: 'MonticelloFileTree-Core.pharo20' ];
        package: 'MonticelloFileTree-FileSystem-Utilities'
          with: [ 
              spec
                file: 'MonticelloFileTree-FileSystem-Utilities.pharo20';
                requires: 'MonticelloFileTree-Core' ];
        package: 'MonticelloFileTree-Git'
          with: [ 
              spec
                file: 'MonticelloFileTree-Git.pharo20';
                requires: #('MonticelloFileTree-Core') ];
        yourself.
      spec group: 'default' with: #('MonticelloFileTree-FileSystem-Utilities') ].
  spec
    for: #'pharo3.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: [ spec file: 'MonticelloFileTree-Core.pharo30' ];
        package: 'MonticelloFileTree-FileSystem-Utilities'
          with: [ 
              spec
                file: 'MonticelloFileTree-FileSystem-Utilities.pharo30';
                requires: 'MonticelloFileTree-Core' ];
        package: 'MonticelloFileTree-Git'
          with: [ 
              spec
                file: 'MonticelloFileTree-Git.pharo20';
                requires: #('MonticelloFileTree-Core') ];
        yourself.
      spec group: 'default' with: #('MonticelloFileTree-FileSystem-Utilities') ].
  spec
    for: #'squeak'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: [ spec file: 'MonticelloFileTree-Core.squeak43' ];
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: [ 
              spec
                file: 'MonticelloFileTree-FileDirectory-Utilities.squeak43';
                requires: 'MonticelloFileTree-Core' ].
      spec
        group: 'default'
        with: #('MonticelloFileTree-FileDirectory-Utilities') ].
  spec
    for: #'gemstone'
    do: [ 
      spec
        project: 'GsCore'
          with: [ 
              spec
                className: 'ConfigurationOfGsCore';
                repository:
                    'http://seaside.https://github.com/dalehenrich/filetree/issues/86.com/ss/MetacelloRepository' ];
        project: 'Monticello'
          with: [ 
              spec
                className: 'ConfigurationOfGsMonticello';
                repository:
                    'http://seaside.https://github.com/dalehenrich/filetree/issues/86.com/ss/MetacelloRepository' ].
      spec
        package: 'MonticelloFileTree-Core'
          with: [ 
              spec
                file: 'MonticelloFileTree-Core.gemstone24';
                requires: #('GsCore' 'Monticello') ];
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: [ 
              spec
                file: 'MonticelloFileTree-FileDirectory-Utilities.gemstone24';
                requires: 'MonticelloFileTree-Core' ].
      spec
        group: 'default'
        with: #('MonticelloFileTree-FileDirectory-Utilities') ]! !

!ConfigurationOfFileTree methodsFor: 'accessing' stamp: 'dkh 4/5/2012 16:22:00'!
customProjectAttributes
    "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes "

    ^ #()! !

!ConfigurationOfFileTree methodsFor: 'accessing' stamp: 'dkh 4/5/2012 16:22:00'!
project
    ^ project
        ifNil: [ 
            "Bootstrap Metacello if it is not already loaded"
            self class ensureMetacello.
            project := MetacelloMCProject new projectAttributes: self customProjectAttributes.	"Create the Metacello project"
            (Smalltalk at: #'MetacelloVersionConstructor') on: self project: project.	"Construct the project"
            project loadType: #'linear'.	"change to #atomic if desired"
            project ]! !

!ConfigurationOfFileTree methodsFor: 'symbolic versions' stamp: 'dkh 07/07/2013 15:20'!
stable: spec
  <symbolicVersion: #'stable'>
  spec for: #'common' version: '1.0.3.1'! !

!ConfigurationOfFileTree methodsFor: 'versions' stamp: 'dkh 9/15/2012 20:27'!
version100: spec
    <version: '1.0' imports: #('1.0-baseline')>
    spec
        for: #'common'
        do: [ 
            spec blessing: #'release'.
            spec description: 'FileTree 1.0'.
            spec author: 'dkh'.
            spec timestamp: '9/15/2012 14:10' ].
    spec
        for: #'pharo1.1.x'
        do: [ 
            spec
                package: 'MonticelloFileTree-Core' with: 'MonticelloFileTree-Core.pharo11-dkh.92';
                package: 'MonticelloFileTree-FileDirectory-Utilities'
                    with: 'MonticelloFileTree-FileDirectory-Utilities.pharo11-dkh.14'  ].
    spec
        for: #'pharo1.2.x'
        do: [ 
            spec
                package: 'MonticelloFileTree-Core' with: 'MonticelloFileTree-Core.pharo11-dkh.92';
                package: 'MonticelloFileTree-FileDirectory-Utilities'
                    with: 'MonticelloFileTree-FileDirectory-Utilities.pharo11-dkh.14'  ].
    spec
        for: #'pharo1.3.x'
        do: [ 
            spec
                package: 'MonticelloFileTree-Core' with: 'MonticelloFileTree-Core.pharo13-dkh.90';
                package: 'MonticelloFileTree-FileDirectory-Utilities'
                    with: 'MonticelloFileTree-FileDirectory-Utilities.pharo13-dkh.12' ].
    spec
        for: #'pharo1.4.x'
        do: [ 
            spec
                package: 'MonticelloFileTree-Core' with: 'MonticelloFileTree-Core.pharo14-dkh.90';
                package: 'MonticelloFileTree-FileDirectory-Utilities'
                    with: 'MonticelloFileTree-FileDirectory-Utilities.pharo14-dkh.12' ].
    spec
        for: #'pharo2.x'
        do: [ 
            spec
                package: 'MonticelloFileTree-Core' with: 'MonticelloFileTree-Core.pharo20-dkh.91';
                package: 'MonticelloFileTree-FileSystem-Utilities'
                    with: 'MonticelloFileTree-FileSystem-Utilities.pharo20-dkh.17' ].
    spec
        for: #'squeak'
        do: [ 
            spec
                package: 'MonticelloFileTree-Core' with: 'MonticelloFileTree-Core.squeak43-dkh.90';
                package: 'MonticelloFileTree-FileDirectory-Utilities'
                    with: 'MonticelloFileTree-FileDirectory-Utilities.squeak43-dkh.12' ].
    spec
        for: #'gemstone'
        do: [ 
            spec
                project: 'GsCore' with: '0.246';
                project: 'Monticello' with: '0.243'.
            spec
                package: 'MonticelloFileTree-Core' with: 'MonticelloFileTree-Core.gemstone24-dkh.92';
                package: 'MonticelloFileTree-FileDirectory-Utilities'
                    with: 'MonticelloFileTree-FileDirectory-Utilities.gemstone24-dkh.14' ]! !

!ConfigurationOfFileTree methodsFor: 'versions' stamp: 'dkh 03/12/2013 16:30'!
version101: spec
    <version: '1.0.1' imports: #('1.0-baseline')>
    spec
        for: #'common'
        do: [ 
            spec blessing: #'release'.
            spec description: 'port to GemStone 3.1.x
- write out gemstone class options in class definitions correctly
- fix problems in filename generation in presence of specials
1.0.1 (dkh.35):
- port to GemStone 3.2
1.0.1 (dkh.36):
- fix Issue #69:
  https://github.com/dalehenrich/filetree/issues/69
- commit: d861c5d76ecc762d6cb4f11f6ec6c1ba45d6bdc0'.
            spec author: 'dkh'.
            spec timestamp: '3/12/2013 16:30' ].
    spec
        for: #'pharo1.1.x'
        do: [ 
            spec
                package: 'MonticelloFileTree-Core' with: 'MonticelloFileTree-Core.pharo11-dkh.95';
                package: 'MonticelloFileTree-FileDirectory-Utilities'
                    with: 'MonticelloFileTree-FileDirectory-Utilities.pharo11-dkh.14'  ].
    spec
        for: #'pharo1.2.x'
        do: [ 
            spec
                package: 'MonticelloFileTree-Core' with: 'MonticelloFileTree-Core.pharo11-dkh.95';
                package: 'MonticelloFileTree-FileDirectory-Utilities'
                    with: 'MonticelloFileTree-FileDirectory-Utilities.pharo11-dkh.14'  ].
    spec
        for: #'pharo1.3.x'
        do: [ 
            spec
                package: 'MonticelloFileTree-Core' with: 'MonticelloFileTree-Core.pharo13-dkh.93';
                package: 'MonticelloFileTree-FileDirectory-Utilities'
                    with: 'MonticelloFileTree-FileDirectory-Utilities.pharo13-dkh.12' ].
    spec
        for: #'pharo1.4.x'
        do: [ 
            spec
                package: 'MonticelloFileTree-Core' with: 'MonticelloFileTree-Core.pharo14-dkh.93';
                package: 'MonticelloFileTree-FileDirectory-Utilities'
                    with: 'MonticelloFileTree-FileDirectory-Utilities.pharo14-dkh.12' ].
    spec
        for: #'pharo2.x'
        do: [ 
            spec
                package: 'MonticelloFileTree-Core' with: 'MonticelloFileTree-Core.pharo20-dkh.91';
                package: 'MonticelloFileTree-FileSystem-Utilities'
                    with: 'MonticelloFileTree-FileSystem-Utilities.pharo20-dkh.17' ].
    spec
        for: #'squeak'
        do: [ 
            spec
                package: 'MonticelloFileTree-Core' with: 'MonticelloFileTree-Core.squeak43-dkh.92';
                package: 'MonticelloFileTree-FileDirectory-Utilities'
                    with: 'MonticelloFileTree-FileDirectory-Utilities.squeak43-dkh.12' ].
    spec
        for: #'gemstone'
        do: [ 
            spec
                project: 'GsCore' with: '0.246';
                project: 'Monticello' with: '0.243'.
            spec
                package: 'MonticelloFileTree-Core' with: 'MonticelloFileTree-Core.gemstone24-dkh.99';
                package: 'MonticelloFileTree-FileDirectory-Utilities'
                    with: 'MonticelloFileTree-FileDirectory-Utilities.gemstone24-dkh.14' ].

	spec for: #'gs3.1.0.x' do: [
		spec
                package: 'MonticelloFileTree-Core' with: 'MonticelloFileTree-Core.gemstone24-dkh.99' ].

	spec for: #'gs3.2.0.x' do: [
		spec
                package: 'MonticelloFileTree-Core' with: 'MonticelloFileTree-Core.gemstone24-dkh.99' ].
! !

!ConfigurationOfFileTree methodsFor: 'versions' stamp: 'dkh 06/16/2013 19:43'!
version102: spec
  <version: '1.0.2' imports: #('1.0.2-baseline')>
  spec
    for: #'common'
    do: [ 
      spec blessing: #'release'.
      spec description: '- non UTF-8 data in monticello.meta/version file
  https://github.com/dalehenrich/filetree/issues/72
- Missing FileTreeUrl in Pharo
  https://github.com/dalehenrich/filetree/issues/74
- Gemstone 24 dev - Issue #72 fixes
  https://github.com/dalehenrich/filetree/issues/75
- In Pharo-2.0, MCVersionInfoWriter>>writeVersionInfo: pre-emptorily converts version message to latin-1
  https://github.com/dalehenrich/filetree/issues/76
- Add Pharo2.0 support
  https://github.com/dalehenrich/filetree/issues/81
- commit: 0d1f1dfc82919978db39e3021078b4b5acf551da'.
      spec author: 'dkh'.
      spec timestamp: '6/16/2013 19:24' ].
  spec
    for: #'pharo1.1.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.pharo11-dkh.95';
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: 'MonticelloFileTree-FileDirectory-Utilities.pharo11-dkh.14' ].
  spec
    for: #'pharo1.2.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.pharo11-dkh.95';
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: 'MonticelloFileTree-FileDirectory-Utilities.pharo11-dkh.14' ].
  spec
    for: #'pharo1.3.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.pharo13-dkh.93';
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: 'MonticelloFileTree-FileDirectory-Utilities.pharo13-dkh.12' ].
  spec
    for: #'pharo1.4.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.pharo14-dkh.93';
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: 'MonticelloFileTree-FileDirectory-Utilities.pharo14-dkh.12' ].
  spec
    for: #'pharo2.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.pharo20-dkh.109';
        package: 'MonticelloFileTree-FileSystem-Utilities'
          with: 'MonticelloFileTree-FileSystem-Utilities.pharo20-dkh.17';
        package: 'MonticelloFileTree-Git'
          with: 'MonticelloFileTree-Git.pharo20-dkh.24' ].
  spec
    for: #'pharo3.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.pharo30-dkh.103';
        package: 'MonticelloFileTree-FileSystem-Utilities'
          with: 'MonticelloFileTree-FileSystem-Utilities.pharo30-dkh.24' ].
  spec
    for: #'squeak'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.squeak43-dkh.92';
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: 'MonticelloFileTree-FileDirectory-Utilities.squeak43-dkh.12' ].
  spec
    for: #'gemstone'
    do: [ 
      spec
        project: 'GsCore' with: '0.246';
        project: 'Monticello' with: '0.243'.
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.gemstone24-dkh.108';
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: 'MonticelloFileTree-FileDirectory-Utilities.gemstone24-dkh.14' ]! !

!ConfigurationOfFileTree methodsFor: 'versions' stamp: 'dkh 07/07/2013 15:57'!
version1031: spec
  <version: '1.0.3.1' imports: #('1.0.3-baseline')>
  spec
    for: #'common'
    do: [ 
      spec blessing: #'release'.
      spec
        description:
          '- fix Issue #64 : FileTree should not override MCVersionInfo>>date and time
  https://github.com/dalehenrich/filetree/issues/64
- partial fix for Issue #87: Ston chages
  https://github.com/dalehenrich/filetree/pull/87'.
      spec author: 'dkh'.
      spec timestamp: '7/7/2013 08:57' ].
  spec
    for: #'pharo1.1.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.pharo11-dkh.95';
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: 'MonticelloFileTree-FileDirectory-Utilities.pharo11-dkh.14' ].
  spec
    for: #'pharo1.2.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.pharo11-dkh.95';
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: 'MonticelloFileTree-FileDirectory-Utilities.pharo11-dkh.14' ].
  spec
    for: #'pharo1.3.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.pharo13-dkh.93';
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: 'MonticelloFileTree-FileDirectory-Utilities.pharo13-dkh.12' ].
  spec
    for: #'pharo1.4.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.pharo14-dkh.93';
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: 'MonticelloFileTree-FileDirectory-Utilities.pharo14-dkh.12' ].
  spec
    for: #'pharo2.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.pharo20-dkh.127';
        package: 'MonticelloFileTree-FileSystem-Utilities'
          with: 'MonticelloFileTree-FileSystem-Utilities.pharo20-dkh.17';
        package: 'MonticelloFileTree-Git'
          with: 'MonticelloFileTree-Git.pharo20-dkh.39' ].
  spec
    for: #'pharo3.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.pharo30-dkh.103';
        package: 'MonticelloFileTree-FileSystem-Utilities'
          with: 'MonticelloFileTree-FileSystem-Utilities.pharo30-dkh.24' ].
  spec
    for: #'squeak'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.squeak43-dkh.96';
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: 'MonticelloFileTree-FileDirectory-Utilities.squeak43-dkh.12' ].
  spec
    for: #'gemstone'
    do: [ 
      spec
        project: 'GsCore' with: '0.246';
        project: 'Monticello' with: '0.243'.
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.gemstone24-dkh.108';
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: 'MonticelloFileTree-FileDirectory-Utilities.gemstone24-dkh.14' ]! !

!ConfigurationOfFileTree methodsFor: 'versions' stamp: 'dkh 07/07/2013 15:21'!
version103: spec
  <version: '1.0.3' imports: #('1.0.3-baseline')>
  spec
    for: #'common'
    do: [ 
      spec blessing: #'release'.
      spec
        description:
          '- fix Issue #86 : update config to use seaside.gemtalksystems.com and ss3.gemtalksystems.com
  https://github.com/dalehenrich/filetree/issues/86'.
      spec author: 'dkh'.
      spec timestamp: '6/28/2013 16:24' ].
  spec
    for: #'pharo1.1.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.pharo11-dkh.95';
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: 'MonticelloFileTree-FileDirectory-Utilities.pharo11-dkh.14' ].
  spec
    for: #'pharo1.2.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.pharo11-dkh.95';
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: 'MonticelloFileTree-FileDirectory-Utilities.pharo11-dkh.14' ].
  spec
    for: #'pharo1.3.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.pharo13-dkh.93';
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: 'MonticelloFileTree-FileDirectory-Utilities.pharo13-dkh.12' ].
  spec
    for: #'pharo1.4.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.pharo14-dkh.93';
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: 'MonticelloFileTree-FileDirectory-Utilities.pharo14-dkh.12' ].
  spec
    for: #'pharo2.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.pharo20-dkh.109';
        package: 'MonticelloFileTree-FileSystem-Utilities'
          with: 'MonticelloFileTree-FileSystem-Utilities.pharo20-dkh.17';
        package: 'MonticelloFileTree-Git'
          with: 'MonticelloFileTree-Git.pharo20-dkh.24' ].
  spec
    for: #'pharo3.x'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.pharo30-dkh.103';
        package: 'MonticelloFileTree-FileSystem-Utilities'
          with: 'MonticelloFileTree-FileSystem-Utilities.pharo30-dkh.24' ].
  spec
    for: #'squeak'
    do: [ 
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.squeak43-dkh.92';
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: 'MonticelloFileTree-FileDirectory-Utilities.squeak43-dkh.12' ].
  spec
    for: #'gemstone'
    do: [ 
      spec
        project: 'GsCore' with: '0.246';
        project: 'Monticello' with: '0.243'.
      spec
        package: 'MonticelloFileTree-Core'
          with: 'MonticelloFileTree-Core.gemstone24-dkh.108';
        package: 'MonticelloFileTree-FileDirectory-Utilities'
          with: 'MonticelloFileTree-FileDirectory-Utilities.gemstone24-dkh.14' ]! !
